<?php
/**
 * Add field drawer
 * 
 * @package Checkout_Field_Editor
 */
?>

<div class="add-checkout-field-wrapper">
    <div class="field-header">
        <h4><?php echo __('New Checkout Field', 'checkout-fields-editor'); ?></h4>
        <span class="add-checkout-field-close">
            <svg width="12" height="12" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M11.1667 1.72266L1.72223 11.1671" stroke="#7A8B9A" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                <path d="M1.72223 1.72266L11.1667 11.1671" stroke="#7A8B9A" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
            </svg>
        </span>
    </div>

    <form method="post">
        <div class="field-body">
            <div class="wpfnl-field-wrapper">
                <label><?php echo __('Type', 'checkout-fields-editor'); ?></label>
                <div class="wpfnl-fields">
                    <select class="cfe_type wpfnl-edit-field-type" name="cfe_type"  id="wpfnl-edit-field-type">
                        <option value="text" ><?php echo __('Text', 'checkout-fields-editor'); ?></option>
                        <option value="password" ><?php echo __('Password', 'checkout-fields-editor'); ?></option>
                        <option value="email" ><?php echo __('Email', 'checkout-fields-editor'); ?></option>
                        <option value="tel" ><?php echo __('Phone', 'checkout-fields-editor'); ?></option>
                        <option value="select" ><?php echo __('Select', 'checkout-fields-editor'); ?></option>
                        <!-- <option value="textarea" > -->
                            <?php 
                            // echo __('Textarea', 'checkout-fields-editor'); 
                            ?>
                        <!-- </option> -->
                        <option value="radio" ><?php echo __('Radio', 'checkout-fields-editor'); ?></option>
                        <option value="checkbox" ><?php echo __('Checkbox', 'checkout-fields-editor'); ?></option>
                    </select>
                </div>
            </div>

            <!-- field type option -->
            <div class="wpfnl-field-wrapper field-type-options dynamic_option">
                <div class="options-label">
                    <label> <?php echo __('Options', 'checkout-fields-editor'); ?> </label>
                    <button class="btn-default cfe_add_option" title="Add More">
                        <svg width="12" height="12" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M5.99994 1V11" stroke="#6E42D3" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                            <path d="M0.999947 6.00022H10.9999" stroke="#6E42D3" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                        </svg>
                    </button>
                </div>

                <div class="wpfnl-fields" id="row1">
                    <input type="text" value="" name="cf_edit_type_option_text[]" placeholder ="Option text" id="cf_edit_type_option_text" class="cfe_option_text" />
                    <input type="text" value="" name="cf_edit_type_option[]" placeholder ="Option value" id="cf_edit_type_option" class="cfe_option" />
                    <button class="btn-default remove cfe_btn_remove" title="Remove" id="1" >
                        <svg width="11" height="11" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M11.1667 1.72266L1.72223 11.1671" stroke="#842029" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                            <path d="M1.72223 1.72266L11.1667 11.1671" stroke="#842029" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                        </svg>
                    </button>
                </div>

                
            </div>
            <!-- /field type option -->

            <div class="wpfnl-field-wrapper">
                <label><?php echo __('Name', 'checkout-fields-editor'); ?></label>
                <div class="wpfnl-fields">
                    <input type="text" name="cf_name" id="cf_name" class="cfe_name" value="" />
                </div>
                <p class='error_name'></p>
            </div>

            <div class="wpfnl-field-wrapper">
                <label><?php echo __('Label', 'checkout-fields-editor'); ?></label>
                <div class="wpfnl-fields">
                    <input type="text" name="cf_label" id="cf_label" class="cfe_label" value="" />
                </div>
                <p class='error_label'></p>
            </div>

            <div class="wpfnl-field-wrapper" id= "cfe_placeholder_wrapper">
                <label><?php echo __('Placeholder', 'checkout-fields-editor'); ?></label>
                <div class="wpfnl-fields">
                    <input type="text" name="cf_placeholder" id="cf_placeholder" class="cfe_placeholder" value="" />
                </div>
            </div>

            <div class="wpfnl-field-wrapper" id= "cfe_default_text">
                <label><?php echo __('Default Value', 'checkout-fields-editor'); ?></label>
                <div class="wpfnl-fields">
                    <input type="text" name="cf_default" id="cf_default" class="cfe_default" value="" />
                </div>
            </div>

            <div class="wpfnl-field-wrapper" id= "cfe_default_checkbox">
                <span class="cfe-checkbox">
                    <input type="checkbox" value="1" name="cf_default_check" id="field-is-checkobox" class="cfe_default_check" checked/>
                    <label for="field-is-checkobox"><?php echo __('Checkbox default checked', 'checkout-fields-editor'); ?></label>
                </span>
            </div>

            <div class="wpfnl-field-wrapper" id= "cfe_validation_wrapper">
                <label><?php echo __('Validation', 'checkout-fields-editor'); ?></label>
                <div class="wpfnl-fields">
                    <select class="cfe_muliple_select" name="validate[]"
                        multiple="multiple" id="wpfunnels-funnel-type">
                        <option value="email">Email</option>
                        <option value="phone">Phone</option>
                        <option value="postcode">Postcode</option>
                        <option value="state">State</option>
                        <option value="number">Number</option>
                    </select>
                </div>
            </div>

            <div class="wpfnl-field-wrapper">
                <span class="cfe-checkbox">
                    <input type="checkbox" value="1" name="cfe_required" id="field-is-required" class="cfe_required" checked/>
                    <label for="field-is-required"><?php echo __('Required', 'checkout-fields-editor'); ?></label>
                </span>
            </div>

            <div class="wpfnl-field-wrapper">
                <span class="cfe-checkbox">
                    <input type="checkbox" name="cf_enable" id="field-is-enabled" class="cfe_enable" value="1" checked/>
                    <label for="field-is-enabled"><?php echo __('Enabled', 'checkout-fields-editor'); ?></label>
                </span>
            </div>

            <div class="wpfnl-field-wrapper">
                <span class="cfe-checkbox">
                    <input type="checkbox" name="cf_show" id="field-display-in-order-details"  class="cfe_show" value="1" checked/>
                    <label for="field-display-in-order-details"><?php echo __('Display in Order Detail Pages', 'checkout-fields-editor'); ?></label>
                </span>
            </div>
            <input type="hidden" name="hidden_field" id="hidden_field_add" class="hidden_field_add">
        </div>
        
        <div class="field-footer save-checkout-field">
            <button class="btn-default cfe_submit" type="submit" name="cfe_submit"><?php echo __('save', 'checkout-fields-editor'); ?><span class="cfe-loader"></span></button>
        </div>
    </form>
    
</div>