<?php
/**
 * Edit field drawer
 * 
 * @package Checkout_Field_Editor
 */
?>

<div class="edit-checkout-field-wrapper">
    <div class="field-header">
        <h4><?php echo __('Edit Field', 'checkout-fields-editor'); ?></h4>
        <span class="add-checkout-field-close">
            <svg width="12" height="12" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M11.1667 1.72266L1.72223 11.1671" stroke="#7A8B9A" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                <path d="M1.72223 1.72266L11.1667 11.1671" stroke="#7A8B9A" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
            </svg>
        </span>
    </div>

    <div class="field-body">
    <form method="post">
        <div class="wpfnl-field-wrapper">
            <label><?php echo __('Type', 'checkout-fields-editor'); ?></label>
            <div class="wpfnl-fields">
                <select id="wpfunnels-funnel-type" class="cf_edit_type wpfnl-edit-field-type" name="cf_edit_type">
                    <option value="text" ><?php echo __('Text', 'checkout-fields-editor'); ?></option>
                    <option value="password" ><?php echo __('Password', 'checkout-fields-editor'); ?></option>
                    <option value="email" ><?php echo __('Email', 'checkout-fields-editor'); ?></option>
                    <option value="tel" ><?php echo __('Phone', 'checkout-fields-editor'); ?></option>
                    <option value="select" ><?php echo __('Select', 'checkout-fields-editor'); ?></option>
                    <!-- <option value="textarea" > -->
                        <?php 
                        // echo __('Textarea', 'checkout-fields-editor'); 
                        ?>
                    <!-- </option> -->
                    <option value="radio" ><?php echo __('Radio', 'checkout-fields-editor'); ?></option>
                    <option value="checkbox" ><?php echo __('Checkbox', 'checkout-fields-editor'); ?></option>
                </select>
            </div>
        </div>

        <!-- field type option -->
        <div class="wpfnl-field-wrapper field-type-options dynamic_option_edit">
            <div class="options-label">
                <label> <?php echo __('Options', 'checkout-fields-editor'); ?> </label>
                <button class="btn-default cfe_edit_option" title="Add More">
                    <svg width="12" height="12" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M5.99994 1V11" stroke="#6E42D3" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M0.999947 6.00022H10.9999" stroke="#6E42D3" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    </svg>
                </button>
            </div>
            
            <div class="wpfnl-fields edit_field_option" id="row1">
                <input type="text" value="" name="cf_edit_type_option_text[]" placeholder ="Option text" id="cf_edit_type_option_text" />
                <input type="text" value="" name="cf_edit_type_option[]" placeholder ="Option value" id="cf_edit_type_option" />
                <button class="btn-default remove cfe_btn_remove" title="Remove" id="1">
                    <svg width="11" height="11" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M11.1667 1.72266L1.72223 11.1671" stroke="#842029" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M1.72223 1.72266L11.1667 11.1671" stroke="#842029" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                    </svg>
                </button>
            </div>
            
            

           
        </div>
        <!-- /field type option -->

        <div class="wpfnl-field-wrapper">
            <label><?php echo __('Name', 'checkout-fields-editor'); ?></label>
            <div class="wpfnl-fields">
                <input type="text" value="" name="cf_edit_name" id="cf_edit_name" class="cf_edit_name" />
            </div>
            <p class='error_name'></p>
        </div>

        <div class="wpfnl-field-wrapper">
            <label><?php echo __('Label', 'checkout-fields-editor'); ?></label>
            <div class="wpfnl-fields">
                <input type="text" value="" name="cf_edit_label" id="cf_edit_label" class="cf_edit_label"/>
            </div>
            <p class='error_label'></p>
        </div>

        <div class="wpfnl-field-wrapper" id = "cfe_edit_placeholder_wrapper">
            <label><?php echo __('Placeholder', 'checkout-fields-editor'); ?></label>
            <div class="wpfnl-fields">
                <input type="text" name="cf_edit_placeholder" class="cf_edit_placeholder" id="cf_edit_placeholder" value="" />
            </div>
        </div>

        <div class="wpfnl-field-wrapper" id= "cfe_edit_default_text">
            <label><?php echo __('Default Value', 'checkout-fields-editor'); ?></label>
            <div class="wpfnl-fields">
                <input type="text" value="" class="cf_edit_default" name="cf_edit_default" id="cf_edit_default" />
            </div>
        </div>

        <div class="wpfnl-field-wrapper" id= "cfe_edit_default_checkbox">
                <span class="cfe-checkbox">
                    <input type="checkbox" value="1" name="cfe_edit_default_check" id="field-is-check-edit" class="cfe_edit_default_check"/>
                    <label for="field-is-check-edit"><?php echo __('Checkbox default checked', 'checkout-fields-editor'); ?></label>
                </span>
        </div>

        

        <div class="wpfnl-field-wrapper" id = "cfe_edit_validation_wrapper">
            <label><?php echo __('Validation', 'checkout-fields-editor'); ?></label>
            <div class="wpfnl-fields">
                <select class="cfe_muliple_select edit_validation_select form-control " name="edit_validate[]"
                    multiple="multiple">
                    <option value="email">Email</option>
                    <option value="phone">Phone</option>
                    <option value="postcode">Postcode</option>
                    <option value="state">State</option>
                    <option value="number">Number</option>
                </select>
            </div>
        </div>

        <div class="wpfnl-field-wrapper">
            <span class="cfe-checkbox">
                <input type="checkbox" value="1" name="cf_edit_required" class="cf_edit_required" id="field-is-required-edit"/>
                <label for="field-is-required-edit"><?php echo __('Required', 'checkout-fields-editor'); ?></label>
            </span>
        </div>

        <div class="wpfnl-field-wrapper">
            <span class="cfe-checkbox">
                <input type="checkbox" id="field-is-enabled-edit" value="1" name="cf_edit_enable" class="cf_edit_enable"/>
                <label for="field-is-enabled-edit"><?php echo __('Enabled', 'checkout-fields-editor'); ?></label>
            </span>
        </div>

      
        <div class="wpfnl-field-wrapper">
            <span class="cfe-checkbox">
                <input type="checkbox" value="1" name="cf_edit_show" class="cf_edit_show" id="display-order-details-edit"/>
                <label for="display-order-details-edit"><?php echo __('Display in Order Detail Pages', 'checkout-fields-editor'); ?></label>
            </span>
        </div>
        <input type="hidden" id="cf_hidden_value" class="cf_hidden_value" name="cf_hidden_value">
        <input type="hidden" id="cf_hidden_index" class="cf_hidden_index" name="cf_hidden_index">
        <input type="hidden" id="cf_hidden_type" class="cf_hidden_type" name="cf_hidden_type">
    </div>
    
    <div class="field-footer save-checkout-field">
        <button class="btn-default cf_edit_submit   " type="submit"  name="cf_edit_submit" ><?php echo __('save', 'checkout-fields-editor'); ?><span class="cfe-loader"></span></button>
    </div>

    </form>
</div>