<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link  https://rextheme.co
 * @since 1.0.0
 *
 * @package    Checkout_Field_Editor
 * @subpackage Checkout_Field_Editor/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Checkout_Field_Editor
 * @subpackage Checkout_Field_Editor/includes
 * @author     CodeRex <enquiry@coderex.co>
 */
class Checkout_Field_Editor_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since 1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'checkout-field-editor',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
